# Class NetworkRequestFailedError

#### Hierarchy

- NetworkError
  - NetworkRequestFailedError

#####
Index

### Constructors

constructor

### Properties

category
code
errorObject
requestType
uri

## Constructors

### constructor

- new NetworkRequestFailedError(uri, requestType, error): NetworkRequestFailedError

- #### Parameters

  - uri: string
  - requestType: RequestType
  - error: Error

  #### Returns NetworkRequestFailedError

  Overrides NetworkError.constructor

## Properties

### `Readonly` category

category: Network = ErrorCategory.Network

Inherited from NetworkError.category

### `Readonly` code

code: NetworkRequestFailed = ErrorCode.NetworkRequestFailed

Overrides NetworkError.code

### `Readonly` errorObject

errorObject: Error

### `Readonly` requestType

requestType: RequestType

Inherited from NetworkError.requestType

### `Readonly` uri

uri: string

Inherited from NetworkError.uri